"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteOne = void 0;
const swagger_1 = require("@nestjs/swagger");
const index_1 = require("./index");
function deleteOne(controller, entity, binding, config) {
    const entityName = entity instanceof Function ? entity.name : entity.options.name;
    const descriptor = Reflect.getOwnPropertyDescriptor(controller.prototype, binding.name);
    if (!descriptor) {
        return;
    }
    (0, swagger_1.ApiParam)({
        name: 'id',
        required: true,
        type: 'integer',
        description: `ID of resource "${entityName}"`,
    })(controller.prototype, binding.name, descriptor);
    (0, swagger_1.ApiResponse)({
        status: 404,
        description: `Item of resource "${entityName}" not found`,
        schema: index_1.errorSchema,
    })(controller.prototype, binding.name, descriptor);
    (0, swagger_1.ApiResponse)({
        status: 204,
        description: `Item of resource "${entityName}" has been deleted`,
    })(controller.prototype, binding.name, descriptor);
    (0, swagger_1.ApiResponse)({
        status: 400,
        description: 'Wrong query parameters',
        schema: index_1.errorSchema,
    })(controller.prototype, binding.name, descriptor);
    (0, swagger_1.ApiOperation)({
        summary: `Delete item of resource "${entityName}"`,
        operationId: `${controller.name}_${binding.name}`,
    })(controller.prototype, binding.name, descriptor);
}
exports.deleteOne = deleteOne;
//# sourceMappingURL=delete-one.js.map