"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteRelationship = void 0;
const tslib_1 = require("tslib");
function deleteRelationship(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { route: { id, relName }, body, } = options;
        const { rel, relationItem } = yield this.UtilsMethode.validateRelationRequestData(this.repository, id, relName, body);
        const deleteBuilder = this.repository
            .createQueryBuilder()
            .relation(relName)
            .of(id);
        if (['one-to-many', 'many-to-many'].includes(relationItem.relationType)) {
            yield deleteBuilder.remove(rel.map((i) => i.id));
        }
        else {
            yield deleteBuilder.set(null);
        }
    });
}
exports.deleteRelationship = deleteRelationship;
//# sourceMappingURL=delete-relationship.js.map